Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.query
[Java] Class HibernateCriterionAdapter.CriterionAdaptor

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.query.HibernateCriterionAdapter.CriterionAdaptor

    public static abstract class HibernateCriterionAdapter.CriterionAdaptor

Method Summary
`protected java.lang.Object` | `convertStringValue(java.lang.Object o)`
`org.hibernate.criterion.Criterion` | `toHibernateCriterion(HibernateQuery hibernateQuery, org.grails.datastore.mapping.query.Query$Criterion criterion, java.lang.String alias)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### convertStringValue

    protected java.lang.Object convertStringValue(java.lang.Object o)

### toHibernateCriterion

    public org.hibernate.criterion.Criterion toHibernateCriterion(HibernateQuery hibernateQuery, org.grails.datastore.mapping.query.Query$Criterion criterion, java.lang.String alias)

Groovy Documentation